import { InjectionToken } from '@angular/core';
import type { AuthConfig, OAuthModuleConfig } from 'angular-oauth2-oidc';
import type { CuiBrowserAuthService } from '../services/browser-auth.service';
import type { CuiMobileAuthService } from '../services/mobile-auth.service';
export type cuiAuthPlatform = 'mobile' | 'browser';
export interface CuiAuthConfig {
    readonly authConfig: AuthConfig;
    readonly moduleConfig?: OAuthModuleConfig;
    readonly platform?: cuiAuthPlatform;
}
export declare const CuiAuthService: InjectionToken<CuiBrowserAuthService | CuiMobileAuthService>;
